## org.hibernate.cache.infinispan.util
Class CacheHelper

    java.lang.Object
      org.hibernate.cache.infinispan.util.CacheHelper

    public class CacheHelper

extends Object

Helper for dealing with Infinisan cache instances.

Since:
  3.5

Method Summary

`static

`<T> T`

`

`withinTx(TransactionManager tm, Callable<T> c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withinTx

    public static <T> T withinTx(TransactionManager tm,
                                 Callable<T> c)
                      throws Exception

  Throws:
    `Exception`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.